LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-11-2004, 10:02 AM   #1
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Rep: Reputation: 15
KDE 3.2.1 Upgrade error


While installing all the Rpms for KDE 3.2.1 I recieved this error and ony this one.

kdebase3-SuSe <= 9.0 conflicts with kdebase3.3.2.1-10


Any suggestions?
 
Old 03-11-2004, 10:12 AM   #2
astrosapiens
Member
 
Registered: Feb 2004
Location: Earth
Distribution: SuSE 10
Posts: 46

Rep: Reputation: 15
Lightbulb had the same problem

I had the same thing when I installed 3.2.1 but it does not matter. Ignore it.

After you download the packages just do:

Code:
rpm -Uvh --nodeps *.rpm
SuSEconfig
After that reboot and everything will be fine.
 
Old 03-11-2004, 10:23 AM   #3
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Original Poster
Rep: Reputation: 15
After doing that I get these.

Code:
        file /opt/kde3/share/mimelnk/application/x-cue.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package k3b-0.9.cvs20030901-35
        file /opt/kde3/share/mimelnk/application/x-iso.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package k3b-0.9.cvs20030901-35
        file /opt/kde3/share/mimelnk/application/mathml+xml.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/vnd.palm.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/vnd.sun.xml.calc.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/vnd.sun.xml.impress.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/vnd.sun.xml.writer.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/x-kudesigner.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/x-magicpoint.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/x-vnd.kde.kexi.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/application/x-vnd.kde.kugar.mixed.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/image/x-vnd.adobe.photoshop.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
        file /opt/kde3/share/mimelnk/image/x-vnd.trolltech.qpicture.desktop from install of kdelibs3-3.2.1-11 conflicts with file from package koffice-1.2.92-67
did SuSeconfig anyway.

Then restarted and Splash screen still says KDE 3.1
 
Old 03-11-2004, 11:06 AM   #4
astrosapiens
Member
 
Registered: Feb 2004
Location: Earth
Distribution: SuSE 10
Posts: 46

Rep: Reputation: 15
Arrow you did not install it

That is a common problem with KDE 3.2.1. Almost everyone I have talked to had it.

1. Uninstall k3b-0.9.cvs20030901-35

Code:
rpm -e k3b-0.9.cvs20030901-35
2. Uninstall koffice-1.2.92-67

Code:
rpm -e koffice-1.2.92-67
Then install the KDE 3.2.1 with the steps I gave you before (with the SuSEconfig) and then reboot. After that everything should be fine but you won't have koffice and k3b. You will have to find the rpms for the new versions. (it did not matter to me since I was not using them anyway). I hope I helped.

a.
 
Old 03-11-2004, 12:36 PM   #5
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Original Poster
Rep: Reputation: 15
Thanx. That worked.

But it seems to run a lil bit slower, hmm Gonna do the updates and see if that helps
 
Old 03-11-2004, 01:10 PM   #6
astrosapiens
Member
 
Registered: Feb 2004
Location: Earth
Distribution: SuSE 10
Posts: 46

Rep: Reputation: 15
Strange...mine actually started working faster :-)
Glad I helped!
 
Old 03-11-2004, 05:57 PM   #7
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Original Poster
Rep: Reputation: 15
Can you run YaST Still?

When I try to run it, or try to install a rpm (which isnt associted with yast any more...)

I get this error...then it stops what its doing.

Code:
#### YaST2 conflicts list - generated 2004-03-11 17:56:39 ####

kdebase3 3.2.1-10 conflict
    Conflicts with:
        kdebase3 conflicts with kdebase3-SuSE <= 9.0-
    Conflict Resolution:
        ( ) Remove All 3 Conflicting Packages
            Delete kdebase3-SuSE
            Delete susehelp
            Delete susehelp_en
        ( ) Ignore Conflict and Risk System Inconsistencies

#### YaST2 conflicts list END ###
 
Old 03-12-2004, 08:21 AM   #8
astrosapiens
Member
 
Registered: Feb 2004
Location: Earth
Distribution: SuSE 10
Posts: 46

Rep: Reputation: 15
same problem

Yeah, I can run YaST(GUI), but when I run it the same problem comes up ever time I do it. I just click "Ignore All" and leave it (at least that is what I got as an answer from another forum )
 
Old 03-12-2004, 10:04 AM   #9
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Original Poster
Rep: Reputation: 15
Ahh ok. Yea i kept hitting Ignore but it would always come back. But i just read on another forums that someone said you needed to delete those file anyway to update KDE, so I just searched with Yast and found them and just uninstalled them. Every thing seems to be going fine so far.

EXCEPT!!!

It delete a icon I was using

Its a icon os Tux Holding a Needle.

Does any one have this icon still? I was using it for a file.
 
Old 03-12-2004, 10:09 AM   #10
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Original Poster
Rep: Reputation: 15
Ok maybe dont do that :-)

It changed the size of my fonts a bit and now i dont ahve the Yast update and some other lil things hmm
 
Old 03-12-2004, 10:25 AM   #11
Stealthy_C
LQ Newbie
 
Registered: Sep 2003
Posts: 29

Original Poster
Rep: Reputation: 15
Ok I think im going to reinstall. Just because I didnt have much on this yet and dont have anything eles to do at work.

Should I download the KDE files from SuSe's site? Or use the ones Hosted on of the KDE's sites that are for suse?

I would think they would be the same files right?
 
Old 03-12-2004, 10:32 AM   #12
astrosapiens
Member
 
Registered: Feb 2004
Location: Earth
Distribution: SuSE 10
Posts: 46

Rep: Reputation: 15
:-)

Nice experience there :-)

Ok I got the rpms from:

http://ftp.kde.org/pub/kde/stable/3.2.1/SuSE/ix86/9.0

I guess the should be the same everywhere.

If you have your YOU still working you can try installing it from:

ftp.oregonstate.edu
pub/suse/suse/i386/supplementary/KDE/update_for_9.0/yast-source/
 
Old 03-13-2004, 09:49 AM   #13
hartings
LQ Newbie
 
Registered: Apr 2002
Location: SWEDEN
Distribution: CentOS 7.2
Posts: 26

Rep: Reputation: 15
KDE 3.2.1 and RedHat9: missing file is not missing!

Hi,

I managed last week to install kde 3.2 on my RedHat9 machine, by checking all the dependencies, and downloading the missing files, one by one....

Now I want to upgrade to 3.2.1 and I have one last dependency, which is not easy to solve (P.S I have not installed all kde packages - don't need all?).
The last missing file is:

libsmbclient.so.0, needed by kdebase-3.2.1-0.1

This libsmbclient.so.0 file can be obtained from samba packages, but this will change my samba installation, which I don't want to do at this moment.
I managed to find the missing file libsmbclient.so.0 and downloaded it, but how do I tell RPM that I do have that file and that it is not missing?

Any hints are appreciated!

Ralf Hartings

Sweden
 
Old 03-14-2004, 07:46 AM   #14
hartings
LQ Newbie
 
Registered: Apr 2002
Location: SWEDEN
Distribution: CentOS 7.2
Posts: 26

Rep: Reputation: 15
kde 3.2.1 on RH9: failure X11/xdm

Hi,

I now upgraded to a newer samba package which provided the last missing file. Running

However, when installing all packages using

$ rpm -Uvh --force *.rpm
(--force because some configuration files of my new package sensors -needed to resolve some dependencies- were in conflict with my existing lm-sensors package;I expected this not to give any problems).

I got the following rpm-comment in the hashed installation line dealing with kdebase (no orther comments appeared):
/etc/X11/xdm/kdmrc has been saved as /etc/X11/xdm/kdmrc.rpmsave.

When rebooting the machine, X could not be started and I only got a login prompt!

I had to install a backup-image of the root partition....

Any hints how to upgrade from kde 3.2.0 to kde 3.2.1. with RedHat9?

Ralf
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Weird error After upgrade KDE 3.4.1 raid517 Linux - Software 1 06-05-2005 05:28 AM
kde 3.2 upgrade error. rossAINTfakin Linux - Newbie 2 07-20-2004 12:14 AM
KDE 3.2.1 upgrade, Fatal IO error Aeiri Linux - Software 0 03-14-2004 11:21 AM
Error trying to dist-upgrade or upgrade KDE prophet621 Linux - Newbie 0 09-10-2003 04:17 PM
KDE 3.0.2 login error after upgrade RabidPenguin Linux - Software 0 08-08-2002 11:37 PM


All times are GMT -5. The time now is 04:38 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration